ZRAMCTL(8)

NAMN
zramctl - konfigurera och styra zram-enheter

SYNOPSIS

Hämta information:
    zramctl [flaggor]

Återställ zram:
    zramctl -r zramdev...

Skriv ut namnet på den första oanvända zram-enheten:
    zramctl -f

Ställ in en zram-enhet:
    zramctl [-f | zramdev] [-s storlek] [-t nummer] [-a algorithm]

BESKRIVNING

zramctl används för att snabbt ställa in parametrar för zram-enheter, återställa zram-enheter och för att fråga om status för använda zram-enheter.

Om ingen flagga anges visas alla zram-enheter som inte har noll i storlek.

Use --help to get an overview of the supported output columns and their descriptions.

Observera att zramdev-noden som anges på kommandoraden redan måste existera. Kommandot zramctl skapar en ny /dev/zram<N>-nod endast när flaggan --find har angetts. Det är möjligt (och vanligt) att /dev/zram<N>-noder inte har skapats ännu efter systemstart.

FLAGGOR

-a, --algorithm lzo|lz4|lz4hc|deflate|842|zstd
    Ange vilken komprimeringsalgoritm som ska användas för att komprimera data i zram-enheten.

    Listan över algoritmer som stöds kan vara felaktig eftersom den beror på den aktuella kärnkonfigurationen. En grundläggande översikt kan erhållas genom att använda kommandot "cat /sys/block/zram0/comp_algorithm", men observera att även denna lista kan vara ofullständig. Detta beror på att ZRAM använder Crypto API, och om vissa algoritmer byggdes som moduler blir det omöjligt att räkna upp dem alla.

-b, --bytes
    Print sizes in bytes, not in human-readable format.

-f, --find
    Hitta den första oanvända zram-enheten. Om ett --size-argument finns initialiseras enheten.

-n, --noheadings
    Skriv inte ut en rubrikrad i statusutmatningen.

-o, --output lista
    Definiera de kolumner för statusutmatning som ska användas. Om inget utdataarrangemang anges används en standarduppsättning. Använd --help för att få en lista över alla kolumner som stöds.

    Standardlistan med kolumner kan utökas om lista anges i formatet +list (t.ex. zramctl -o+COMP-RATIO).

--output-all
    Skriv ut alla tillgängliga kolumner.

-p, --algorithm-params parameter...
    Specify the parameters for the selected compression algorithm. For example, level=9 dict=/etc/dictionary sets the compression level and pre-trained dictionary. Parameters are algorithm-specific.

-r, --reset zramdev...
    Reset the specified zram device(s). The settings of a zram device can be changed only after a reset.

--raw
    Använd råformat för statusutmatning.

-s, --size storlek
    Skapa en zram-enhet med den angivna storleken. Zram-enheter är anpassade till minnessidor; när den begärda storlek inte är en multipel av sidstorleken avrundas den uppåt till nästa multipel. Om inget annat anges är enheten för parametern storlek bytes.

    Argumentet storlek kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024) och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000) och så vidare för GB, TB, PB, EB, ZB och YB.

-t, --streams nummer
    Ställ in det maximala antalet komprimeringsströmmar som kan användas för enheten. Standardvärdet är använd alla processorer och en ström för kärnor äldre än 4.6.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

zramctl returnerar 0 vid framgång, icke-noll vid misslyckande.

FILER

/dev/zram[0..N] /dev/zram[0..N]
    zram-blockenheter

EXEMPEL

Följande kommandon skapar en zram-enhet med en storlek på en gigabyte och använder den som växlingsenhet.

     # zramctl --find --size 1024M
     /dev/zram0
     # mkswap /dev/zram0
     # swapon /dev/zram0
     ...
     # swapoff /dev/zram0
     # zramctl --reset /dev/zram0

UPPHOVSPERSONER

SE ÄVEN

länk:https://docs.kernel.org/admin-guide/blockdev/zram.html[Dokumentation om Linux-kärnan]

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot zramctl ingår i paketet util-linux som kan hämtas från